# Copyright 2003 Frederick Ros aka Sleeper
# Distributed under the terms of the GNU General Public License v2
# $Header: /cvsroot/eagle-usb/eagle-usb/packages/gentoo/eagle-usb.ebuild,v 1.1 2003/10/08 20:17:52 sleeper Exp $

DESCRIPTION="GPL Driver for Eagle Chipset powered ADSL modem under *nix"
SRC_URI="http://sl33p3r.free.fr/eagle/${P}.tar.gz"
HOMEPAGE="http://eagle-usb.fr.st/"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86 ~ppc"
IUSE="routedip"
S=${WORKDIR}/${P}

RDEPEND="routedip? >=net-misc/dhcpcd-1.3.22_p4 : >=net-dialup/ppp-2.4.1"
DEPEND="${RDEPEND}"		

src_compile() {

	econf || die "econf failed"
	emake all || die "emake failed"

}

src_install () {

	# Install utils
	into /usr ; dosbin driver/user/eaglectrl driver/user/eaglestat pppoa/pppoa

	# Install module
	insinto /lib/modules/${KV}/misc
	doins driver/eagle-usb.o

	# 

	insinto /etc/eagle-usb
	newins driver/firmware/dsp_code_pots.bin dsp_code_pots.bin
	newins driver/firmware/dsp_code_isdn.bin dsp_code_isdn.bin
	newins driver/user/sagemf800.conf eagle-usb.conf

	dodoc lisezmoi.txt Changelog readme.txt TODO VERSION BUGS FAQ FAQ.fr
	rm -f ${D}/etc/init.d/eagle-usb
	exeinto /etc/init.d ; newexe ${FILESDIR}/eagle-usb eagle-usb
	insinto /etc/conf.d ; newins ${FILESDIR}/eagle-usb.conf eagle-usb
	if [ -n "`use routedip`" ] ;
	then
		ewarn "Configuring for Routed IP"
		echo "ROUTEDIP=1" >> ${D}/etc/conf.d/eagle-usb
		# We must also change encapsulation, VPI/VCI
		sed -i -e 's/Encapsulation *= *[0-9]\+/Encapsulation=00000004/' ${D}/etc/eagle-usb/eagle-usb.conf
		sed -i -e 's/VCI *= *[0-9]\+/VCI=00000024/' ${D}/etc/eagle-usb/eagle-usb.conf
	else
	        ewarn "Configuring for PPPoA"
		echo "ROUTEDIP=0" >> ${D}/etc/conf.d/eagle-usb
		insopts -m 600 ; insinto /etc/ppp/peers ; doins ${FILESDIR}/dsl.peer
	fi
}

				
pkg_postinst() {

	if [ "${ROOT}" = "/" ]
	then
        # Update module dependency
		[ -x /usr/sbin/update-modules ] && /usr/sbin/update-modules
	fi

	if [ -n "`use routedip`" ] ;
	then
		einfo " --oO Installed with Routed IP enabled Oo--"
		echo ""
		ewarn "Make sure you have kernel support for USB"
		ewarn "Make sure you have NOT kernel support for IPv6"
		echo ""
	else
		einfo " --oO Installed with PPPoA enabled Oo--"
		echo ""
		ewarn "Make sure you have kernel support for USB, HDCL and PPP"
		ewarn "Make sure you have NOT kernel support for IPv6"
		echo ""
		ewarn "Edit /etc/ppp/peers/dsl.peer to insert your username as well as"
		ewarn " /etc/ppp/chap-secrets and /etc/ppp/pap-secrets "
		echo ""
		einfo "dsl.peer contains the \"usepeerdns\" option so, you "
		einfo "should consider making a symlink named /etc/resolv.conf "
		einfo "and pointing to /etc/ppp/resolv.conf"
		einfo "      ln -s /etc/resolv.conf /etc/resolv.conf"
	fi


}
